Name:		enblend
Version:	4.2
Release:	%mkrel 8
Summary:	Tool for compositing images
License:	GPLv2+
Group:		Graphics/Photography
Url:		http://enblend.sourceforge.net
Source0:	http://downloads.sourceforge.net/enblend/enblend-enfuse-%{version}.tar.gz
Patch1:		enblend-enfuse-4.2-limits.patch
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	plotutils-devel
BuildRequires:	boost-devel
BuildRequires:	vigra-devel
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	gnuplot
BuildRequires:	help2man
BuildRequires:	imagemagick
BuildRequires:	texinfo
BuildRequires:	ghostscript
BuildRequires:	tidy
BuildRequires:	transfig
BuildRequires:	libxml2-utils
BuildRequires:	libgomp-devel
BuildRequires:	perl(DateTime::TimeZone)
BuildRequires:	texlive
Provides:	enfuse = %{version}-%{release}

%description
Enblend is a tool for compositing images. Given a set of images that overlap
in some irregular way, Enblend overlays them in such a way that the seam
between the images is invisible, or at least very difficult to see.

%prep
%setup -q -n enblend-enfuse-%{version}
%autopatch -p1

%build
%configure --enable-openmp
%make_build

%install
%make_install

%files
%doc AUTHORS COPYING NEWS README
%{_mandir}/man1/enblend.1.*
%{_mandir}/man1/enfuse.1.*
%{_bindir}/enblend
%{_bindir}/enfuse


%changelog
* Fri Aug 21 2020 martinw <martinw> 4.2-8.mga8
+ Revision: 1617711
- fix build with GCC 10

* Sun Feb 16 2020 umeabot <umeabot> 4.2-7.mga8
+ Revision: 1529676
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 27 2019 daviddavid <daviddavid> 4.2-6.mga8
+ Revision: 1433747
- rebuild for new gsl 2.6

* Sun Sep 23 2018 umeabot <umeabot> 4.2-5.mga7
+ Revision: 1297598
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 wally <wally> 4.2-4.mga7
+ Revision: 1235500
- drop dead lcms BR

* Wed Dec 27 2017 wally <wally> 4.2-3.mga7
+ Revision: 1185640
- rebuild for new gsl

* Sun Sep 24 2017 daviddavid <daviddavid> 4.2-2.mga7
+ Revision: 1158426
- rebuild for new vigra 1.11.1

* Sat Mar 04 2017 eatdirt <eatdirt> 4.2-1.mga6
+ Revision: 1088732
- Upgrade to version 4.2

* Sun Jan 03 2016 luigiwalser <luigiwalser> 4.1.4-3.mga6
+ Revision: 919000
- rebuild for gsl

* Sat Dec 26 2015 daviddavid <daviddavid> 4.1.4-2.mga6
+ Revision: 915166
- rebuild for new boost 1.60.0

* Sat Oct 24 2015 ycantin <ycantin> 4.1.4-1.mga6
+ Revision: 895024
- new version 4.1.4

* Fri Sep 25 2015 daviddavid <daviddavid> 4.1.3-10.mga6
+ Revision: 883688
- rebuild for new boost 1.59.0

* Wed Aug 26 2015 sander85 <sander85> 4.1.3-9.mga6
+ Revision: 869780
- Rebuild for glew 1.13.0

* Wed Aug 12 2015 fwang <fwang> 4.1.3-8.mga6
+ Revision: 863446
- rebuild for new vigra

* Fri Jul 31 2015 daviddavid <daviddavid> 4.1.3-6.mga6
+ Revision: 860006
- rebuild for new boost-1.58.0

* Wed Jun 24 2015 akien <akien> 4.1.3-5.mga6
+ Revision: 842224
- Rebuild for GLEW 1.12

* Wed Oct 15 2014 umeabot <umeabot> 4.1.3-4.mga5
+ Revision: 748592
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1.3-3.mga5
+ Revision: 679004
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 4.1.3-2.mga5
+ Revision: 670265
- rebuild for glew

* Tue Aug 26 2014 luigiwalser <luigiwalser> 4.1.3-1.mga5
+ Revision: 668350
- 4.1.3

* Sat Feb 08 2014 barjac <barjac> 4.1.2-3.mga5
+ Revision: 586327
- rebuild against boost-1.55

* Tue Oct 22 2013 umeabot <umeabot> 4.1.2-2.mga4
+ Revision: 541361
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 luigiwalser <luigiwalser> 4.1.2-1.mga4
+ Revision: 495678
- 4.1.2

* Sat Aug 17 2013 fwang <fwang> 4.1.1-1.mga4
+ Revision: 467106
- add more patches
- add patch from pld-linux to fix build against new texinfo
- new version 4.1.1

* Wed Jul 24 2013 sander85 <sander85> 4.1-7.mga4
+ Revision: 457702
- Rebuild for new glew

* Thu Jul 11 2013 fwang <fwang> 4.1-6.mga4
+ Revision: 452797
- rebuild for new boost
- fix br
- add more br on ghostscript

* Wed Apr 10 2013 malo <malo> 4.1-4.mga3
+ Revision: 409443
- rebuild for boost 1.53

* Wed Feb 20 2013 barjac <barjac> 4.1-3.mga3
+ Revision: 399574
- missing BR libxml2-utils
- spec clean
- include info files in package

* Fri Jan 11 2013 umeabot <umeabot> 4.1-2.mga3
+ Revision: 349660
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 cjw <cjw> 4.1-1.mga3
+ Revision: 336274
- do not package info files
- 4.1
- add several needed or possibly useful buildrequires
- drop patches for libpng, fixed upstream

* Sun Dec 25 2011 fwang <fwang> 4.0-3.mga2
+ Revision: 187370
- rebuild for new libtiff

* Wed Sep 14 2011 fwang <fwang> 4.0-2.mga2
+ Revision: 143311
- br glu
- br boost
- add br
- drop req
- add gentoo patches to fix libpng building

* Fri Feb 18 2011 mikala <mikala> 4.0-1.mga1
+ Revision: 53573
- Fix files list
- Update to 4.0
- add plotutils-devel as BR (libxmi support is now provided by plotutils)
- drop patch0
- remove mdk macros
- remove buildroot
- imported package enblend


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2-3mdv2011.0
+ Revision: 610361
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 3.2-2mdv2009.1
+ Revision: 350332
- 2009.1 rebuild

* Thu Sep 11 2008 Funda Wang <fwang@mandriva.org> 3.2-1mdv2009.0
+ Revision: 283661
- New version 3.2 final
- add ilmbase-devel BR

* Sun Jul 20 2008 Frederic Crozat <fcrozat@mandriva.com> 3.1-0.20080528.2mdv2009.0
+ Revision: 239187
- Patch0: fix CXX flags used
- Disable GPU support when building for 2008.1 or older

* Wed May 28 2008 Nicholas Brown <nickbrown@mandriva.org> 3.1-0.20080528.1mdv2009.0
+ Revision: 212655
- cvs snapshot of 3.1
  remove patch merged upstream
  fix build dependancies for x86_64
  package enfuse
- New version

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.5-2mdv2008.1
+ Revision: 170813
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.5-1mdv2008.1
+ Revision: 140729
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Dec 13 2005 Lenny Cartier <lenny@mandriva.com> 2.5-1mdk
- 2.5

* Mon Dec 05 2005 Lenny Cartier <lenny@mandriva.com> 2.4-1mdk
- 2.4

* Mon Apr 18 2005 Lenny Cartier <lenny@mandriva.com> 2.3-1mdk
- 2.3

* Wed Dec 08 2004 Couriousous <couriousous@mandrake.org> 2.1-1mdk
- 2.1
- Update url
- Drop patch0

* Sun Jul 18 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.3-2mdk 
- Couriousous <couriousous@zarb.org> :
 - Added multilayer tiff support

* Wed Jun 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.3-1mdk
- contributed by Couriousous <couriousous@sceen.net>

